# Uses of Enum Class
org.springframework.expression.spel.SpelMessage.Kind

Packages that use SpelMessage.Kind
Package
Description
org.springframework.expression.spel
SpEL's central implementation package.

## Uses of SpelMessage.Kind in org.springframework.expression.spel

Methods in org.springframework.expression.spel that return SpelMessage.Kind
Modifier and Type
Method
Description
`static SpelMessage.Kind`
SpelMessage.Kind.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SpelMessage.Kind[]`
SpelMessage.Kind.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.